Subject: Re: [bitcoindev] CTV + CSFS: a letter

From: "James O'Beirne" <[email-masked]>
Date: Thu, 12 Jun 2025 14:38:13 -0400

Hi Matt,

> Ignoring the threats in the letter

There are no threats in the letter, I'm not sure why you
think there are.

> there's also a question of what the desire is - some signers specifically
> want CTV + CSFS now, some signers are worried about "Bitcoin's
ossification"
> and just want to see progress on changes (in some cases even GCC making
> progress may suffice!), while yet others want other specific things and
> imagine that the politics of getting their thing will be easier once CTV +
> CSFS happens. These all mandate drastically different responses, yet again
> because they're all bunched into one letter we cannot figure out what it
is
> that they actually want.

As the person who coordinated the letter, I can say that this is not an
accurate characterization of the signers' intent. Everyone who signed
explicitly wants to see the imminent review, integration, and activation
planning for CTV+CSFS specifically. The letter is intentionally concise to
make
sure there are no misunderstandings about that.

I spoke to each person on the original list of signatories who either did
(or
didn't) sign and this was made very clear. Some people didn't sign as a
result
of what the letter says.

The additional viewpoints you list may be shared by some signers, but the
point
of signing the letter was to signal unambiguous support for the nearterm
integration of CTV+CSFS.

Best,
James

On Thu, Jun 12, 2025 at 2:06 PM Matt Corallo <[email-masked]>
wrote:

>
>
> On 6/11/25 8:59 PM, Harsha Goli wrote:
>
> > Quickly chiming in here. I'm digging in heavily to the different needs
> and drivers of businesses and
> > individuals in the space. I think James is being quite literal here.
> There is not unity on what
> > should happen after if we reach 2026 without any progress on covenants.
> >
> > Not speaking for James, but from what I've seen there is no substance or
> chatter regarding any such
> > "vague threat".
>
> I do think this highlights why sign-on letters tend to have little impact
> and are really quite
> useless for this kind of thing: when you actually go talk to people, you
> come away understanding
> that they have very different views on the issue at hand.
>
> Some signers appear to have intention to release an "activation client",
> meanwhile when I talk to
> other signers they're really just trying to encourage more focused
> research on things in this area.
> Those are *drastically* different views, yet both are "covered" by the
> same letter.
>
> Worse yet, there's now organizations signing this letter (yay NYA
> reprisal!), which similarly cannot
> possibly be filled with people with identical views (of course
> organizations themselves cannot opine
> on technical bitcoin decisions, individuals do, there is good reason why
> organizations do not have a
> role within IETF, only engineers expressing their own opinions, which may
> benefit their organization).
>
> Ignoring the threats in the letter, there's also a question of what the
> desire is - some signers
> specifically want CTV + CSFS now, some signers are worried about
> "Bitcoin's ossification" and just
> want to see progress on changes (in some cases even GCC making progress
> may suffice!), while yet
> others want other specific things and imagine that the politics of getting
> their thing will be
> easier once CTV + CSFS happens. These all mandate drastically different
> responses, yet again because
> they're all bunched into one letter we cannot figure out what it is that
> they actually want.
>
> Instead, and I've encouraged various people who've signed to do this,
> having engineers who wish to
> utilize these features speak up about what, specific, tools and protocols
> they wish to build using
> CTV + CSFS would be much more interesting. Unlike a generic "We Want
> Things" sign-on letter,
> individual messages indicating desire to utilize features is way more
> compelling, not just to
> overall impression of Bitcoin's consensus, but also to the individuals
> deciding what to do with
> their time - now you can see actual real-world desires.
>
> Matt
>
> --
> You received this message because you are subscribed to the Google Groups
> "Bitcoin Development Mailing List" group.
> To unsubscribe from this group and stop receiving emails from it, send an
> email to [email-masked].
> To view this discussion visit
> https://groups.google.com/d/msgid/bitcoindev/8d158e3d-b3cc-44b6-b71b-ab2e733c047c%40mattcorallo.com
> .
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAPfvXfLc5-%3DUVpcvYrC%3DVP7rLRroFviLTjPQfeqMQesjziL%3DCQ%40mail.gmail.com.